//
//  SocketFactory.h
//  Fuze
//
//  Created by Ivan Shulev on 12/21/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//
#import "AsyncSocket.h"
#if FUZE_MAC_BUILD
#import "HttpAsyncSocket.h"
#endif

#import <Foundation/Foundation.h>
#import <SystemConfiguration/SystemConfiguration.h>


@interface AsyncSocketFactory : NSObject

+ (AsyncSocket*) createSocketWithHost: (NSString*) host
                                 port: (unsigned short) port
                                  ssl: (BOOL) ssl
                              runLoop: (NSRunLoop*) runLoop
                              context: (void *) context;

+ (AsyncSocket*) createSocketWithHost: (NSString*) host
                                 port: (unsigned short) port
                                  ssl: (BOOL) ssl
                              runLoop: (NSRunLoop*) runLoop
                         runLoopWrite: (NSRunLoop*) runLoopWrite
                              context: (void *) context;

@end
